%define ver 0.13
%define rel 1

Summary: a small Mail Transport Agent (MTA)
Summary(ja): 小さなメール転送エージェント（MTA）
Name: dma
Version: %{ver}
Release: %{rel}%{?dist}
Source0: https://github.com/corecode/dma/archive/v%{ver}.tar.gz
Patch0: dma-0.10_owners.patch
License: BSD
Group: System Environment/Daemons
Provides: smtpdaemon
URL: https://github.com/corecode/dma/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: byacc
BuildRequires: flex
BuildRequires: make
BuildRequires: gcc
BuildRequires: openssl-devel
Conflicts: postfix sendmail exim

%description
dma (DragonFly Mail Agent) is a small Mail Transport Agent (MTA), designed 
for home and office use.  It accepts mails from locally installed 
Mail User Agents (MUA) and delivers the mails either locally or to 
a remote destination.
Remote delivery includes several features like TLS/SSL support and
SMTP authentication.

dma is not intended as a replacement for real, big MTAs like sendmail(8)
or postfix(1).  Consequently, dma does not listen on port 25 for
incoming connections.


%prep
%setup -q
%patch 0 -p1

%build
%{__make} %{?_smp_mflags} PREFIX=%{_prefix}  LIBEXEC=%{_libexecdir} \
                          CONFDIR=%{_sysconfdir}/dma MAN=%{_mandir} VAR=%{_var} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install sendmail-link mailq-link install-spool-dirs install-etc \
          DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} LIBEXEC=%{_libexecdir} \
          CONFDIR=%{_sysconfdir}/dma MAN=%{_mandir} VAR=%{_var}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE README.* TODO
%attr(-,root,mail) %{_sbindir}/dma
%{_sbindir}/mailq
%{_sbindir}/sendmail
%attr(-,root,mail) %{_libexecdir}/dma-mbox-create
%dir %{_sysconfdir}/dma
%attr(-,root,mail) %config(noreplace) %{_sysconfdir}/dma/auth.conf
%attr(-,root,mail) %config(noreplace) %{_sysconfdir}/dma/dma.conf
%{_mandir}/man8/dma.8*
%attr(-,root,mail) %dir %{_var}/spool/dma

%changelog
* Thu Oct 17 2024 IWAI, Masaharu <iwaim.sub@gmail.com> 0.13-1
- update to 0.13
- add OpenSSL 3 patch (Patch1) from upstream pull request
- drop aliases (Source1)
  - this file provided from setup package.

* Fri Apr 29 2016 IWAI, Masaharu <iwaim.sub@gmail.com> 0.11-1
- update to 0.11

* Sun Dec 27 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 0.10-1
- initial build for Vine Linux

